=== packaging/generic-deb/debian/changelog ===
amazon-ecs-init (1.53.0-1) stable; urgency=medium

  * Cache Agent version 1.53.0

 -- Angel Velazquez <angelcar@amazon.com>  Wed, 09 Jun 2021 22:30:00 +0000

amazon-ecs-init (1.52.2-2) stable; urgency=medium

  * Cache Agent version 1.52.2
  * ecs-anywhere-install: fix incorrect download url when running in cn region

 -- Feng Xiong <fenxiong@amazon.com>  Tue, 25 May 2021 19:30:00 +0000

amazon-ecs-init (1.52.2-1) stable; urgency=medium

  * Cache Agent version 1.52.2
  * ecs-anywhere-install: remove dependency on gpg key server
  * ecs-anywhere-install: allow sandboxed apt installations

 -- Feng Xiong <fenxiong@amazon.com>  Thu, 20 May 2021 01:00:00 +0000

amazon-ecs-init (1.52.1-1) stable; urgency=medium

  * Cache Agent version 1.52.1

 -- Feng Xiong <fenxiong@amazon.com>  Fri, 14 May 2021 18:40:00 +0000

amazon-ecs-init (1.52.0-1) stable; urgency=medium

  * Cache Agent version 1.52.0
  * Add support for ECS EXTERNAL launch type (ECS Anywhere)

 -- Ray Allan <fierlion@amazon.com>  Wed, 28 Apr 2021 20:05:00 +0000

amazon-ecs-init (1.51.0-1) stable; urgency=medium

  * Cache Agent version 1.51.0

 -- Shubham Goyal <shugy@amazon.com>  Wed, 31 Mar 2021 09:32:00 +0000

amazon-ecs-init (1.50.3-1) stable; urgency=medium

  * Cache Agent version 1.50.3

 -- Mythri Garaga Manjunatha <mythr@amazon.com>  Wed, 17 Mar 2021 18:02:00 +0000

amazon-ecs-init (1.50.2-1) stable; urgency=medium

  * Cache Agent version 1.50.2

 -- Meghna Srivastav <mssrivas@amazon.com>  Fri, 19 Feb 2021 19:03:32 +0000

amazon-ecs-init (1.50.1-1) stable; urgency=medium

  * Cache Agent version 1.50.1
  * Does not restart ECS Agent when it exits with exit code 5

 -- Shubham Goyal <shugy@amazon.com>  Wed, 10 Feb 2021 20:43:00 +0000

amazon-ecs-init (1.50.0-1) stable; urgency=medium

  * Cache Agent version 1.50.0
  * Allows ECS customers to execute interactive commands inside containers.

 -- Utsa Bhattacharjya <utsa@amazon.com>  Fri, 22 Jan 2021 11:54:00 +0000

amazon-ecs-init (1.49.0-1) stable; urgency=medium

  * Cache Agent version 1.49.0
  * Removes iptable rule that drops packets to port 51678 unconditionally on ecs service stop

 -- Shubham Goyal <shugy@amazon.com>  Wed, 06 Jan 2021 11:54:00 +0000

amazon-ecs-init (1.48.1-1) stable; urgency=medium

  * Cache Agent version 1.48.1

 -- Shubham Goyal <shugy@amazon.com>  Mon, 23 Nov 2020 11:54:00 +0000

amazon-ecs-init (1.48.0-2) stable; urgency=medium

  * Cache Agent version 1.48.0

 -- Shubham Goyal <shugy@amazon.com>  Thu, 19 Nov 2020 20:19:00 +0000

amazon-ecs-init (1.47.0-1) stable; urgency=medium

  * Cache Agent version 1.47.0

 -- Mythri Garaga Manjunatha <mythr@amazon.com>  Fri, 30 Oct 2020 19:00:00 +0000

amazon-ecs-init (1.46.0-1) stable; urgency=medium

  * Cache Agent version 1.46.0

 -- Meghna Srivastav <mssrivas@amazon.com>  Fri, 16 Oct 2020 19:03:32 +0000

amazon-ecs-init (1.45.0-1) stable; urgency=medium

  * Cache Agent version 1.45.0
  * Block offhost access to agent's introspection port by default. Configurable via env ECS_ALLOW_OFFHOST_INTROSPECTION_ACCESS

 -- Cam Sparr <cssparr@amazon.com>  Wed, 30 Sep 2020 19:00:00 +0000

amazon-ecs-init (1.44.4-1) stable; urgency=medium

  * Cache Agent version 1.44.4

 -- Ray Allan <fierlion@amazon.com>  Tue, 15 Sep 2020 19:34:32 +0000

amazon-ecs-init (1.44.3-1) stable; urgency=medium

  * Cache Agent version 1.44.3

 -- Meghna Srivastav  <mssrivas@amazon.com>  Wed, 02 Sep 2020 19:03:32 +0000

amazon-ecs-init (1.44.2-1) stable; urgency=medium

  * Cache Agent version 1.44.2

 -- Utsa Bhattacharjya <utsa@amazon.com>  Wed, 26 Aug 2020 19:03:32 +0000

amazon-ecs-init (1.44.1-1) stable; urgency=medium

  * Cache Agent version 1.44.1

 -- Shubham Goyal <shugy@amazon.com>  Thu, 20 Aug 2020 18:35:32 +0000

amazon-ecs-init (1.44.0-1) stable; urgency=medium

  * Cache Agent version 1.44.0
  * Add support for configuring Agent container logs

 -- Shubham Goyal <shugy@amazon.com>  Thu, 13 Aug 2020 20:39:32 +0000

amazon-ecs-init (1.43.0-2) stable; urgency=medium

  * Cache Agent version 1.43.0

 -- Feng Xiong <fenxiong@amazon.com>  Tue, 04 Aug 2020 17:22:32 +0000

amazon-ecs-init (1.42.0-1) stable; urgency=medium

  * Cache Agent version 1.42.0
  * Add a flag ECS_SKIP_LOCALHOST_TRAFFIC_FILTER to allow skipping local traffic filtering

 -- Yunhee Lee <yhlee@amazon.com>  Thu, 23 Jul 2020 17:55:00 +0000

amazon-ecs-init (1.41.1-2) stable; urgency=medium

  * Drop traffic to 127.0.0.1 that isn't originated from the host

 -- Feng Xiong <fenxiong@amazon.com>  Thu, 09 Jul 2020 00:46:00 +0000

amazon-ecs-init (1.41.1-1) stable; urgency=medium

  * Cache Agent version 1.41.1

 -- Yajie Chu <cya@amazon.com>  Mon, 06 Jul 2020 23:45:00 +0000

amazon-ecs-init (1.41.0-1) stable; urgency=medium

  * Cache Agent version 1.41.0

 -- Meghna Srivastav <mssrivas@amazon.com>  Mon, 22 Jun 2020 23:45:00 +0000

amazon-ecs-init (1.40.0-1) stable; urgency=medium

  * Cache Agent version 1.40.0

 -- Meghna Srivastav <mssrivas@amazon.com>  Tue, 02 Jun 2020 23:45:00 +0000

amazon-ecs-init (1.39.0-2) stable; urgency=medium

  * Cache Agent version 1.39.0
  * Ignore IPv6 disable failure if already disabled

 -- Yunhee Lee <yhlee@amazon.com>  Fri, 03 Apr 2020 19:04:00 +0000

amazon-ecs-init (1.38.0-1) stable; urgency=medium

  * Cache Agent version 1.38.0
  * Adds support for ECS volume plugin
  * Disable ipv6 router advertisements for optimization

 -- Sharanya Devaraj <sharanyd@amazon.com>  Thu, 19 Mar 2020 21:42:00 +0000

amazon-ecs-init (1.37.0-2) stable; urgency=medium

  * Cache Agent version 1.37.0
  * Add '/etc/alternatives' to mounts

 -- Jessie Young <youngli@amazon.com>  Sat, 22 Feb 2020 01:40:00 +0000

amazon-ecs-init (1.36.2-1) stable; urgency=medium

  * Cache Agent version 1.36.2
  * update sbin mount point to avoid conflict with Docker >= 19.03.5

 -- Ray Allan <fierlion@amazon.com>  Tue, 04 Feb 2020 22:32:00 +0000

amazon-ecs-init (1.36.1-1) stable; urgency=medium

  * Cache Agent version 1.36.1


