=== packaging/generic-deb/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
VERSION := $(shell dpkg-parsechangelog -S Version)

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	./scripts/gobuild.sh debian

clean:
	dh $@
	rm -f amazon-ecs-init

override_dh_auto_install:
	cp ecs-agent.tar debian/amazon-ecs-init/var/cache/ecs/ecs-agent-v${VERSION}.tar
	echo "2" >debian/amazon-ecs-init/var/cache/ecs/state
	ln -s "/var/cache/ecs/ecs-agent-v${VERSION}.tar" debian/amazon-ecs-init/var/cache/ecs/ecs-agent.tar
	dh_installsystemd --no-start --no-enable --name=ecs
